[Regression wmf.16] Context menus for items below the screen appear broken (no vertical height)
Closed, ResolvedPublic1 Story Points

Description

Link Inspector is appearing broken on the first attempt every session.

Ryasmeen created this task.Mar 10 2017, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2017, 6:56 PM
Ryasmeen added a comment.EditedMar 10 2017, 7:10 PM

Actually, it's happening for all context menus.

Ryasmeen changed the title from "[Regression pre wmf.16] Link Inspector is appearing broken on the first attempt every session" to "[Regression pre wmf.16] All Inspectors and context menus are appearing broken on the first attempt every session. ".Mar 10 2017, 7:12 PM
Ryasmeen changed the title from "[Regression pre wmf.16] All Inspectors and context menus are appearing broken on the first attempt every session. " to "[Regression pre-wmf.16] All Inspectors and context menus are appearing broken on the first attempt every session. ".Mar 10 2017, 7:22 PM
Jdforrester-WMF changed the title from "[Regression pre-wmf.16] All Inspectors and context menus are appearing broken on the first attempt every session. " to "[Regression pre-wmf.16] Context menus for items below the screen appear broken (no vertical height)".Mar 10 2017, 8:40 PM
Jdforrester-WMF triaged this task as "Unbreak Now!" priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Catrope.
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 10 2017, 8:40 PM
Ryasmeen changed the title from "[Regression pre-wmf.16] Context menus for items below the screen appear broken (no vertical height)" to "[Regression wmf.16] Context menus for items below the screen appear broken (no vertical height)".Mar 14 2017, 11:02 PM
matmarex added a subscriber: matmarex.

To reproduce (other than on first try):

  1. Make a context menu appear.
  2. Scroll it offscreen.
  3. Make another context menu appear.

The second context menu will always have zero height.

Change 343221 had a related patch set uploaded (by Bartosz Dziewoński):
[VisualEditor/VisualEditor] ve.ui.DesktopContext: Prevent hiding of the context popup

https://gerrit.wikimedia.org/r/343221

Change 343221 merged by jenkins-bot:
[VisualEditor/VisualEditor] ve.ui.DesktopContext: Prevent hiding of the context popup

https://gerrit.wikimedia.org/r/343221

Change 343224 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (ac6d7031c)

https://gerrit.wikimedia.org/r/343224

Change 343224 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (ac6d7031c)

https://gerrit.wikimedia.org/r/343224

Change 343229 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor] ve.ui.DesktopContext: Prevent hiding of the context popup

https://gerrit.wikimedia.org/r/343229

Change 343229 merged by jenkins-bot:
[VisualEditor/VisualEditor] ve.ui.DesktopContext: Prevent hiding of the context popup

https://gerrit.wikimedia.org/r/343229

Change 343411 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to wmf/1.29.0-wmf.16 HEAD (f6e399eed)

https://gerrit.wikimedia.org/r/343411

Change 343411 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to wmf/1.29.0-wmf.16 HEAD (f6e399eed)

https://gerrit.wikimedia.org/r/343411

Jdforrester-WMF closed this task as "Resolved".Mar 17 2017, 11:37 PM

Now pushed to production; sorry to all affected.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 17 2017, 11:37 PM